3 Replies Latest reply on Aug 17, 2014 4:57 PM by JimHess

    I want to buy Lightroom 4, not Lightroom 5! Help!

    Michelle LaRiviere

      My trial version of Lightroom 4 has expired, and now I want to buy it (from Adobe). However, the only option seems to be Lightroom 5, which my system does not support. How can buy 4 from Adobe? (Other online vendors are way too expensive, and I don't trust a lot of them.)

       

      Thanks,

      Michelle